## autoar-misc autoar-misc — Miscellaneous functions and shared data types used by gnome-autoar |

## Functions

GQuark | autoar_libarchive_quark ()

## Types and Values

#define | AUTOAR_LIBARCHIVE_ERROR

## Includes

    #include <gnome-autoar/autoar.h>

## Description

Public utility functions and data types used by gnome-autoar;

## Functions

### autoar_libarchive_quark ()

    GQuark
    autoar_libarchive_quark (void);

Gets the libarchive Error Quark.

#### Returns

a GQuark.

## Types and Values

### AUTOAR_LIBARCHIVE_ERROR

    #define AUTOAR_LIBARCHIVE_ERROR autoar_libarchive_quark()

Error domain for libarchive. Error returned by functions in libarchive uses this domain. Error code and messages are got using `archive_errno()` and `archive_error_string()` functions provided by libarchive.